﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WordAddInTest2024
{
    public class Config
    {
#if DEBUG
        /// <summary>
        /// 网页访问地址
        /// </summary>
        public static readonly string WEB_PATH = "http://localhost:5173/";
#else
        public static readonly string WEB_PATH = "dist/index.html";
#endif
        /// <summary>
        /// 词库地址
        /// </summary>
        public static readonly string LEXICON_PATH = "https://ksrm.gachafun.com/lexicon";

        public static string WebPath(string path)
        {
            return WEB_PATH + path;
        }
    }
}
