﻿using System;
using System.Windows.Forms;
using WordAddInTest2024.Controls;
using Office = Microsoft.Office.Core;

namespace WordAddInTest2024
{
    public static class Module1
    {
        public static ProofreadMainControl uc;
        public static Microsoft.Office.Tools.CustomTaskPane ctp;

        public static void CreateCTP()
        {
            uc = new ProofreadMainControl();
            ctp = Globals.ThisAddIn.CustomTaskPanes.Add(control: uc, title: "AI校对王");
            ctp.DockPosition = Office.MsoCTPDockPosition.msoCTPDockPositionRight;
            ctp.Visible = true;
        }
        public static void DisposeCTP()
        {
            ctp.Dispose();
        }
    }
}
