﻿using Microsoft.Office.Tools.Ribbon;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using WordAddInTest2024.Controls;

namespace WordAddInTest2024
{
    public partial class Ribbon1
    {
        private static bool IS_LOGIN = false;
        private FormLogin formLogin;
        private void Ribbon1_Load(object sender, RibbonUIEventArgs e)
        {
            formLogin = new FormLogin();
            btnLogin.Label = "用户\n登录";
            btnLogout.Label = "退出\n登录";
        }
        private void ToggleLogin()
        {
            if(!IS_LOGIN)
            {
                if(formLogin == null || formLogin.IsDisposed) { formLogin = new FormLogin(); }
                formLogin.Show();
            }
            IS_LOGIN = !IS_LOGIN;
            gpLogin.Visible = !IS_LOGIN;
            gpLogout.Visible = IS_LOGIN;
        }

        private void btnLogin_Click(object sender, RibbonControlEventArgs e)
        {
            ToggleLogin();
        }

        private void btnLogout_Click(object sender, RibbonControlEventArgs e)
        {
            ToggleLogin();
        }

        private void btnOpenLexicon_Click(object sender, RibbonControlEventArgs e)
        {
            Process.Start(Config.LEXICON_PATH);
        }
    }
}
